<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="c52799ba-83cd-46f7-b2da-2d47c17ebb70" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="failureBehavior" value="FAST" />
        <option name="userSettingsFile" value="C:\maven\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectId" id="27JgPg39GhAmim2W5695jN8j21U" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RequestMappingsPanelOrder0": "0",
    "RequestMappingsPanelOrder1": "1",
    "RequestMappingsPanelWidth0": "75",
    "RequestMappingsPanelWidth1": "75",
    "WebServerToolWindowFactoryState": "false",
    "last_opened_file_path": "D:/sourcecode/chapter08/helloapp",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "project.structure.last.edited": "Modules",
    "project.structure.proportion": "0.0",
    "project.structure.side.proportion": "0.0",
    "settings.editor.selected.configurable": "MavenSettings",
    "spring.configuration.checksum": "a88be876d1a023ea1ff43d0248d77df8",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn install" />
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.HelloConsumerApplication">
    <configuration name="HelloProviderApplication" type="CompoundRunConfigurationType">
      <toRun name="HelloProviderApplication1" type="SpringBootApplicationConfigurationType" />
      <toRun name="HelloProviderApplication2" type="SpringBootApplicationConfigurationType" />
      <method v="2" />
    </configuration>
    <configuration name="HelloConfigApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-config" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconfig.HelloConfigApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloConsumerApplication 1" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconsumer.HelloConsumerApplication" />
      <option name="VM_PARAMETERS" value="-Dserver.port=8083 -Dcsp.sentinel.dashboard.server=127.0.0.1:8080 -Dcsp.sentinel.api.port=8728 -Dcsp.sentinel.log.use.pid=true " />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloConsumerApplication 2" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconsumer.HelloConsumerApplication" />
      <option name="VM_PARAMETERS" value="-Dserver.port=8084 -Dcsp.sentinel.dashboard.server=127.0.0.1:8080 -Dcsp.sentinel.api.port=8729 -Dcsp.sentinel.log.use.pid=true " />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloConsumerApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconsumer.HelloConsumerApplication" />
      <option name="VM_PARAMETERS" value="-Dserver.port=8082 -Dcsp.sentinel.dashboard.server=127.0.0.1:8080 -Dcsp.sentinel.api.port=8727 -Dcsp.sentinel.log.use.pid=true " />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloProviderApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-provider" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloprovider.HelloProviderApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloProviderApplication2" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-provider" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloprovider.HelloProviderApplication" />
      <option name="VM_PARAMETERS" value="-Dserver.port=8091" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloappApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="helloapp" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloapp.HelloappApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Compound.HelloProviderApplication" />
      <item itemvalue="Spring Boot.HelloappApplication" />
      <item itemvalue="Spring Boot.HelloConsumerApplication" />
      <item itemvalue="Spring Boot.HelloConsumerApplication 2" />
      <item itemvalue="Spring Boot.HelloConsumerApplication 1" />
      <item itemvalue="Spring Boot.HelloProviderApplication" />
      <item itemvalue="Spring Boot.HelloProviderApplication2" />
      <item itemvalue="Spring Boot.HelloConfigApplication" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c52799ba-83cd-46f7-b2da-2d47c17ebb70" name="Changes" comment="" />
      <created>1649043588690</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1649043588690</updated>
      <workItem from="1649043588700" duration="9018000" />
      <workItem from="1649129769970" duration="6510000" />
      <workItem from="1649142850628" duration="7209000" />
      <workItem from="1649151163060" duration="11778000" />
      <workItem from="1649742951149" duration="5272000" />
      <workItem from="1649748654236" duration="2096000" />
      <workItem from="1649751636757" duration="8306000" />
      <workItem from="1649820052211" duration="6909000" />
      <workItem from="1649908869706" duration="11010000" />
      <workItem from="1650019193075" duration="2195000" />
      <workItem from="1650077000875" duration="1964000" />
      <workItem from="1650114638262" duration="2539000" />
      <workItem from="1650249460242" duration="5557000" />
      <workItem from="1650259834882" duration="12818000" />
      <workItem from="1650335618823" duration="4339000" />
      <workItem from="1651466616127" duration="11693000" />
      <workItem from="1651721916312" duration="8544000" />
      <workItem from="1652000311131" duration="1414000" />
      <workItem from="1652002576425" duration="549000" />
      <workItem from="1652150012513" duration="96000" />
      <workItem from="1652753869494" duration="5672000" />
      <workItem from="1652943209857" duration="15736000" />
      <workItem from="1653356048813" duration="6392000" />
      <workItem from="1653451631281" duration="5453000" />
      <workItem from="1699096092974" duration="2737000" />
      <workItem from="1699100179541" duration="155000" />
      <workItem from="1699106704897" duration="15000" />
      <workItem from="1699250319603" duration="46000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.lang.AbstractMethodError" package="java.lang" />
          <option name="timeStamp" value="1" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>